snap-0.12.0: Top-level package for the Snap Web Framework

Safe Haskell | None

Snap.Snaplet.Session.Common

Description

This module contains functionality common among multiple back-ends.

Synopsis

- data RNG
- mkRNG :: IO RNG
- withRNG :: RNG -> (GenIO -> IO a) -> IO a
- randomToken :: Int -> RNG -> IO ByteString
- mkCSRFToken :: RNG -> IO Text

# Documentation

data RNG

High speed, mutable random number generator state

mkRNG :: IO RNG

Create a new RNG

withRNG :: RNG -> (GenIO -> IO a) -> IO a

Perform given action, mutating the RNG state

randomToken :: Int -> RNG -> IO ByteString

Generates a random salt of given length

mkCSRFToken :: RNG -> IO Text

Generate a randomized CSRF token